Bug 208723 - volume labels missing for Option boot via OpenFirmware
volume labels missing for Option boot via OpenFirmware
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yaboot (Show other bugs)
10
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-30 18:19 EDT by John Reiser
Modified: 2009-12-18 00:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:53:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2006-09-30 18:19:11 EDT
Description of problem: The filesystem label (for ext3 root filesystem) or the
volume label (for CD/DVD boot/rescue/install media) is not displayed underneath
the media icon by the OpenFirmware loader when booting with the Option key held
down.  This contrasts with Apple startup disks: the volume name (such as
"MacintoshHD") appears below the icon.

The label is very helpful in distinguishing among multiple bootable filesystems,
and should be displayed below the icon upon Option boot.  /sbin/ybin, a part of
yaboot, is the program that should put the volume label in a place where the
openfirmware loader can find it.


Version-Release number of selected component (if applicable):
yaboot-1.3.13-2.fc6.ppc.rpm

How reproducible:
always

Steps to Reproduce:
1. Boot or reboot the hardware, while holding down the Option key.
2.
3.
  
Actual results:
No volume label appears below the icon for an ext3 or Fedora CD/DVD bootable volume.


Expected results:
The volume label should appear below the media icon.

Additional info:
Comment 1 Paul Nasrat 2006-11-16 08:34:27 EST
I'm not sure how much this makes sense for the installed system - we install to
an Apple_Bootstrap partition and in theory the yaboot and yaboot.conf there
could point to multiple partitions, not just a single volume.  

For CD/DVD it's possible we're missing an option to provide the hfs volume id
and I can look into that - but that's really in anaconda.
Comment 2 Red Hat Bugzilla 2007-08-21 01:27:10 EDT
User pnasrat@redhat.com's account has been closed
Comment 3 Bug Zapper 2008-04-03 14:22:57 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 John Reiser 2008-04-04 22:22:12 EDT
Please change Version to 8; bugzilla won't let me.

The problem persists in yaboot-1.3.13-5.fc8.  The ext3 label of a bootable root
filesystem does not appear beneath the icon shown when booting with the Option
key held down during reset.
Comment 5 Jon Stanley 2008-04-05 22:28:30 EDT
Changing version per request
Comment 6 Bug Zapper 2008-11-26 02:02:12 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 John Reiser 2008-11-30 17:49:54 EST
Using the CD image Fedora-10-ppc-netinst.iso from torrent Fedora-10-ppc-CDs:
  On Fedora 10 and Fedora 9,    the label under the Desktop icon is "PBOOT".
  On MacOS 10.4 and MacOS 10.5, the label under the Desktop icon is "10".
Holding down the Option key while booting a PowerPC Apple Macintosh with Fedora-10-ppc-netinst.iso in the optical drive, then the boot choices show no text label under the icon of an optical drive (with Tux "inset".)  For booting, I was expecting to see the text label "Fedora 10" displayed under the icon.

"od -Ax -c" of Fedora-10-ppc-netinst.iso shows these interesting lines:
-----
008000 001   C   D   0   0   1 001  \0   P   P   C                    
008010                                                                
008020                                   P   B   O   O   T            
008030                                                                
008040                                  \0  \0  \0  \0  \0  \0  \0  \0

008230                                                           F   e
008240   d   o   r   a       1   0                                    
008250                                                                
*
008320                                                       2   0   0

008a30  \0      \0      \0      \0      \0      \0      \0      \0   F
008a40  \0   e  \0   d  \0   o  \0   r  \0   a  \0      \0   1  \0   0
008a50  \0      \0      \0      \0      \0      \0      \0      \0    
*
008ae0  \0      \0  \0      \0      \0      \0      \0      \0      \0
-----
So: In this case, Gnome desktop takes the icon name from (32K+32+8), while MacOS 10 takes the icon name from either (32K+512+64+5) [as 8-bit chars] or from (32K+2560+64+13) [as 16-bit chars].

I am changing this Bugzilla report to be against Fedora 10.
Comment 8 Bug Zapper 2009-11-18 03:08:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 00:53:30 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.